Bug 627009 - Using preupgrade-cli --vnc without a password will produce invalid ks.cfg
Using preupgrade-cli --vnc without a password will produce invalid ks.cfg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 16:47 EDT by Sandro Janke
Modified: 2011-06-28 10:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:02:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
resulting invalid ks.cfg (445 bytes, application/octet-stream)
2010-08-24 16:50 EDT, Sandro Janke
no flags Details

  None (edit)
Description Sandro Janke 2010-08-24 16:47:03 EDT
Description of problem:

Omitting the password parameter (apparently) required for the --vnc option will produce an invalid ks.cfg.

Version-Release number of selected component (if applicable):

preupgrade-1.1.7-1.fc12.noarch

How reproducible:

Always

Steps to Reproduce:
1. preupgrade-cli --ip=10.0.0.42 --netmask=255.255.255.0 --gateway=10.0.0.254 --dns=194.109.9.99 --vnc --remove-leaves --assumeyes --obsoletes "Fedora 13 (Goddard)"
2. runs fine without any warning 
3. Anaconda complains about error in ks.cfg
  
Actual results:

see attachment

Expected results:

Issue a warning about missing mandatory parameter or start VNC server without requiring password

Additional info:
Comment 1 Sandro Janke 2010-08-24 16:50:19 EDT
Created attachment 440769 [details]
resulting invalid ks.cfg
Comment 2 Bug Zapper 2010-11-03 06:44:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Sandro Janke 2010-11-03 10:12:58 EDT
Problem is still present in Fedora 13 (preupgrade-1.1.8-1). Changing version to 13.
Comment 4 Peta 2011-03-05 03:15:25 EST
Preupgrade-cli should NOT require VNC.  VNC opens a port that can be a vector for attack. If you can't run preupgrade-cli from the command line then drop the pretending and only run preupgrade.  VNC is NOT an option.
Comment 5 Bug Zapper 2011-06-01 06:32:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-28 10:02:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.